
Foreman - Bug #6117

Usergroup cache is not updated when modified from user direction

06/09/2014 08:16 AM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Users, Roles and Permissions   

Target version: 1.5.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link: 1106387 Red Hat JIRA:  

Pull request:    

Description

Our UI allows changing of usergroups only by modifying usergroups. But if developer use something like

user.usergroups = []

cache is not updated. I found this during testing external groups sync by apache module which uses this way.

Related issues:

Blocks Foreman - Tracker #4552: New permissions/authorization system issues New

Associated revisions

Revision 5db9d353 - 06/09/2014 03:02 PM - Marek Hulán

Fixes #6117 - clean usergroup cache

Dependent destroy was missing on through association from user side.

Revision af9a3104 - 06/11/2014 01:02 PM - Marek Hulán

Fixes #6117 - clean usergroup cache

Dependent destroy was missing on through association from user side.

(cherry picked from commit 5db9d35307e6d8ce6e4558a8a554e526be729b8f)

History

#1 - 06/09/2014 08:16 AM - Marek Hulán

- Blocks Tracker #4552: New permissions/authorization system issues added

#2 - 06/09/2014 08:18 AM - Marek Hulán

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1503

#3 - 06/09/2014 08:40 AM - Marek Hulán

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1106387

#4 - 06/09/2014 03:03 PM - Dominic Cleal

- translation missing: en.field_release set to 16

#5 - 06/09/2014 03:31 PM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
https://github.com/theforeman/foreman/pull/1503


Applied in changeset 5db9d35307e6d8ce6e4558a8a554e526be729b8f.
